语音识别LinuxSDK(C++)正式发布
卖萌吗sky 发布于2018-01 浏览:18882 回复:58
5
收藏
最后编辑于2022-04

尊敬的百度AI开放平台用户:

百度AI开放平台LinuxSDK(C++)正式发布啦!

百度AI开放平台LinuxSDK(C++)正式发布啦!

百度AI开放平台LinuxSDK(C++)正式发布啦!

为解决服务端调用实时语音识别和长语音识别能力,百度AI开放平台,开放了LinuxSDK(C++)。大家可以在服务端使用和安卓、iOSSDK一样的在线识别功能了。

【技术特色】

支持语言:中文、英文、粤语、四川话
支持实时长语音识别,识别时间不设上限
支持流式:边说边传,返回临时结构和最终接口
支持输出识别任务起始时间戳 ,可应用于视频转字幕功能
支持多实例,多任务无压力
基于DNN的高性能端点检测技术,节约带宽而且有更好的识别效果
支持64位linux系统
【如何使用】

文档地址:http://ai.baidu.com/docs#/ASR-Android-SDK/top

SDK下载地址:http://ai.baidu.com/sdk

本月内,还会有更多的语音技术升级,敬请持续关注!

语音识别产品详细介绍:http://ai.baidu.com/tech/speech

语音技术社区交流平台:http://ai.baidu.com/forum/topic/list/166

收藏
点赞
5
个赞
共58条回复 最后由用户已被禁言回复于2022-04
#19plum1712回复于2018-01

请教一下,这个linux SDK是不是只能在X86的硬件环境中使用?我在ARM的板子上编译不通过。

output/sample/asr# make
g++ -o src/main ./src/main.cpp -I../../include -I../../include/ASR -Wall -O0 -fPIC -g -D__LINUX__ -Wno-unknown-pragmas ../../lib/libBDSpeechSDK.a ../../extern/lib/libcurl.a ../../extern/lib/libiconv.a ../../extern/lib/libz.a ../../extern/lib/libssl.a ../../extern/lib/libcrypto.a ../../extern/lib/libuuid.a -lrt -ldl -lpthread
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
/usr/bin/ld: ../../lib/libBDSpeechSDK.a(bds_ASRParameters.cpp.obj): Relocations in generic ELF (EM: 62)
../../lib/libBDSpeechSDK.a: error adding symbols: File in wrong format
collect2: error: ld returned 1 exit status
Makefile:29: recipe for target 'src/main' failed
make: *** [src/main] Error 1

0
#18mengkls回复于2018-01
#17 Daniel啊偶回复
请问在Makefile具体哪个位置加上这句话呢,我是小白,求指教

在CPPFLAGS1这个变量里

不过我觉得,因为这个的根本原因在于这个Demo只支持g++4.x, 不如直接把你的g++版本降低,一劳永逸

给你个网址降低你的g++版本,亲测有效

http://blog.csdn.net/adaptiver/article/details/56003624

0
#17Daniel啊偶回复于2018-01
#9 谁让当时已惘然回复
我的就是 5 ,然后 在Makefile 加上 -D_GLIBCXX_USE_CXX11_ABI=0 ,asr 这个实例是可以运行了
展开

请问在Makefile具体哪个位置加上这句话呢,我是小白,求指教

0
#16mengkls回复于2018-01

请问有没有计划会出ARM平台或是其他平台的版本的计划呢?

2
#15fujiayi1984回复于2018-01
#14 supersand回复
必现的,我是在虚拟机里面运行的,ubuntu 16.04

确认下网络是否有问题

0
#14supersand回复于2018-01
#13 fujiayi1984回复
偶发还是必现的?

必现的,我是在虚拟机里面运行的,ubuntu 16.04

0
#13fujiayi1984回复于2018-01
#12 supersand回复
运行起来报错: [2018-01-22 16:40:48.505]识别出错, err_code: -3011, err_domain: 33, err_desc: Server unkown error., sn: 7870EC35-5BE2-4F12-A352-2B4A68E80308 这是什么原因?
展开

偶发还是必现的?

0
#12supersand回复于2018-01

运行起来报错:

[2018-01-22 16:40:48.505]识别出错, err_code: -3011, err_domain: 33, err_desc: Server unkown error., sn: 7870EC35-5BE2-4F12-A352-2B4A68E80308

这是什么原因?

0
#11小神18回复于2018-01

请问有没有ARM版的库文件

1
#10Drkmi回复于2018-01

终于问世了!可以试试了

0
#9谁让当时已惘然回复于2018-01
#8 happierb回复
你用的g++版本号多少?目前百度推的这个demo只支持g++4.x,不支持5。 也建议百度技术团队能发布g++5的demo,ubuntu 16.04以上都是g++5 了。
展开

我的就是 5 ,然后 在Makefile 加上 -D_GLIBCXX_USE_CXX11_ABI=0 ,asr 这个实例是可以运行了

2
#8happierb回复于2018-01
#6 谁让当时已惘然回复
请问你调通LinuxSDK(C++)的demo了吗?我按照文档的步骤,报了一堆错,都是这块 bds::BDSSDKMessage::set_parameter   未定义的引用?你知道怎么会是吗?谢谢。
展开

你用的g++版本号多少?目前百度推的这个demo只支持g++4.x,不支持5。

也建议百度技术团队能发布g++5的demo,ubuntu 16.04以上都是g++5 了。

0
#7plum1712回复于2018-01

我调通了linux SDK的demo,在centos上,完全没有任务错误,能够正常返回识别结果。 

1
#6谁让当时已惘然回复于2018-01
#2 独孤焰坤回复
终于有linux版本的了~

请问你调通LinuxSDK(C++)的demo了吗?我按照文档的步骤,报了一堆错,都是这块 bds::BDSSDKMessage::set_parameter   未定义的引用?你知道怎么会是吗?谢谢。

0
#5kehuanyu回复于2018-01

没有交叉工具链接编译的库,无法链接。能提供多几个版本库吗?

1
#4plum1712回复于2018-01

linux SDK 什么时候能支持语音唤醒特性呢?

0
#3goJhou回复于2018-01

前排留名,坐等c#流版本

0
#2独孤焰坤回复于2018-01

终于有linux版本的了~

0
TOP
切换版块